﻿
/**** printf(), sprintf() and ssprintf() can't format a double or float *****/
/** get a string from a number (byte to double) **/
inline String dtostr(double number, uint8_t minLen, uint8_t decLen, String leadChars)
/**                                 minimal length           <= 15 **/
{ 
  String lc = leadChars;
  String str = String(number, decLen);  
  if (lc.length() == 0) lc = " ";
  while (str.length() < minLen) str = lc + str; 
  return str;
}
